org.eclnt.jsfserver.elements.componentnodes

## Class IMAGECAPTURENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.IMAGECAPTURENode

- All Implemented Interfaces:
    java.io.Serializable

      public class IMAGECAPTURENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAGECAPTURENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMAGECAPTURENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindComment(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindEnabled(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindHeight(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindImageheight(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindImagewidth(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindRendered(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindRowdistancecommandpane(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindX(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `bindY(IDynamicContentBindingObject value)`
    `IMAGECAPTURENode` | `setAdapterbinding(java.lang.String value)`
    `IMAGECAPTURENode` | `setAttributemacro(java.lang.String value)`
    `IMAGECAPTURENode` | `setComment(java.lang.String value)`
    `IMAGECAPTURENode` | `setConfiginfo(java.lang.String value)`
    `IMAGECAPTURENode` | `setEnabled(boolean value)`
    `IMAGECAPTURENode` | `setEnabled(java.lang.String value)`
    `IMAGECAPTURENode` | `setHeight(int value)`
    `IMAGECAPTURENode` | `setHeight(java.lang.String value)`
    `IMAGECAPTURENode` | `setId(java.lang.String value)`
    `IMAGECAPTURENode` | `setImageheight(int value)`
    `IMAGECAPTURENode` | `setImageheight(java.lang.String value)`
    `IMAGECAPTURENode` | `setImagewidth(int value)`
    `IMAGECAPTURENode` | `setImagewidth(java.lang.String value)`
    `IMAGECAPTURENode` | `setObjectbinding(java.lang.String value)`
    `IMAGECAPTURENode` | `setReference(java.lang.String value)`
    `IMAGECAPTURENode` | `setRendered(boolean value)`
    `IMAGECAPTURENode` | `setRendered(java.lang.String value)`
    `IMAGECAPTURENode` | `setRowdistancecommandpane(int value)`
    `IMAGECAPTURENode` | `setRowdistancecommandpane(java.lang.String value)`
    `IMAGECAPTURENode` | `setStylevariant(java.lang.String value)`
    `IMAGECAPTURENode` | `setX(int value)`
    `IMAGECAPTURENode` | `setX(java.lang.String value)`
    `IMAGECAPTURENode` | `setY(int value)`
    `IMAGECAPTURENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAGECAPTURENode

          public IMAGECAPTURENode()

  - ### Method Detail

    - #### setId

          public IMAGECAPTURENode setId(java.lang.String value)

    - #### setAdapterbinding

          public IMAGECAPTURENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public IMAGECAPTURENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public IMAGECAPTURENode setAttributemacro(java.lang.String value)

    - #### setComment

          public IMAGECAPTURENode setComment(java.lang.String value)

    - #### bindComment

          public IMAGECAPTURENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public IMAGECAPTURENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public IMAGECAPTURENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public IMAGECAPTURENode setEnabled(java.lang.String value)

    - #### bindEnabled

          public IMAGECAPTURENode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public IMAGECAPTURENode setEnabled(boolean value)

    - #### setHeight

          public IMAGECAPTURENode setHeight(java.lang.String value)

    - #### bindHeight

          public IMAGECAPTURENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public IMAGECAPTURENode setHeight(int value)

    - #### setImageheight

          public IMAGECAPTURENode setImageheight(java.lang.String value)

    - #### bindImageheight

          public IMAGECAPTURENode bindImageheight(IDynamicContentBindingObject value)

    - #### setImageheight

          public IMAGECAPTURENode setImageheight(int value)

    - #### setImagewidth

          public IMAGECAPTURENode setImagewidth(java.lang.String value)

    - #### bindImagewidth

          public IMAGECAPTURENode bindImagewidth(IDynamicContentBindingObject value)

    - #### setImagewidth

          public IMAGECAPTURENode setImagewidth(int value)

    - #### setObjectbinding

          public IMAGECAPTURENode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public IMAGECAPTURENode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setReference

          public IMAGECAPTURENode setReference(java.lang.String value)

    - #### setRendered

          public IMAGECAPTURENode setRendered(java.lang.String value)

    - #### bindRendered

          public IMAGECAPTURENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public IMAGECAPTURENode setRendered(boolean value)

    - #### setRowdistancecommandpane

          public IMAGECAPTURENode setRowdistancecommandpane(java.lang.String value)

    - #### bindRowdistancecommandpane

          public IMAGECAPTURENode bindRowdistancecommandpane(IDynamicContentBindingObject value)

    - #### setRowdistancecommandpane

          public IMAGECAPTURENode setRowdistancecommandpane(int value)

    - #### setStylevariant

          public IMAGECAPTURENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public IMAGECAPTURENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setX

          public IMAGECAPTURENode setX(java.lang.String value)

    - #### bindX

          public IMAGECAPTURENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public IMAGECAPTURENode setX(int value)

    - #### setY

          public IMAGECAPTURENode setY(java.lang.String value)

    - #### bindY

          public IMAGECAPTURENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public IMAGECAPTURENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.